Debian Bug report logs - #580814
ITP: systemd -- system and session manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Tollef Fog Heen <tfheen@debian.org>

Date: Sat, 8 May 2010 21:21:02 UTC

Owned by: Tollef Fog Heen <tfheen@debian.org>

Severity: wishlist

Fixed in version systemd/0~git+20100605+dfd8ee-1

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tfheen@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#580814; Package wnpp. (Sat, 08 May 2010 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@debian.org>:
New Bug report received and forwarded. Copy sent to tfheen@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 08 May 2010 21:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: systemd -- system and session manager
Date: Sat, 08 May 2010 23:16:33 +0200
Package: wnpp
Owner: Tollef Fog Heen <tfheen@debian.org>
Severity: wishlist

* Package name    : systemd
  Version         : 0
  Upstream Author : Lennart Pottering
* URL or Web page : http://www.freedesktop.org/wiki/Software/systemd
* Code            : http://cgit.freedesktop.org/systemd/
* License         : GPLv2+
  Description     : system and session manager

systemd is a replacement for sysvinit.  It is dependency-based and able
to read the LSB init script headers in addition to parsing rcN.d links
as hints.

it also provides process supervision using cgroups and the ability to
not only depend on other init script being started, but also
availability of a given mount point or dbus service.

systemd is currently linux-only as it relies on technologies like
cgroups, libudev, epoll and signalfd.

I am planning on providing corresponding startup scripts and be
coinstallable with sysvinit, switchable with a flag to the kernel.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information stored :
Bug#580814; Package wnpp. (Sun, 09 May 2010 08:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 09 May 2010 08:09:10 GMT) Full text and rfc822 format available.

Message #10 received at 580814-quiet@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 580814-quiet@bugs.debian.org
Subject: Re: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Sun, 9 May 2010 10:06:10 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 09, 2010 at 08:06:12AM +0200, Tollef Fog Heen wrote:
> I just filed an ITP on systemd and am planning on

Amazing!, thanks for this.

> making it installable alongside with sysvinit, switchable with
> init=/sbin/systemd when booting.  Eventually, I guess either using
> alternatives for /sbin/init or dpkg-divert-ing it away from sysvinit
> might be the way to go.  Either way, whether sysvinit is Essential or
> not is a bit irrelevant to whether people can experiment with other
> init systems.

I've just read a few days ago the design document of systemd; AFAIU it
requires anyhow patching various daemons, no matter how trivial the
patches are.

Do you have any experience or feeling on how usable it would be today in
a Debian unstable box? Can we imagine having it as an alternative init
which a Squeeze user might want to try, obtaining something more than a
machine that simply doesn't boot half of the machine services?

Many thanks for your work on this,
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#580814; Package wnpp. (Sun, 09 May 2010 10:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and filed, but not forwarded. (Sun, 09 May 2010 10:39:09 GMT) Full text and rfc822 format available.

Message #15 received at 580814-quiet@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
Cc: debian-devel@lists.debian.org, 580814-quiet@bugs.debian.org
Subject: Re: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Sun, 9 May 2010 12:33:38 +0200
[Message part 1 (text/plain, inline)]
On May 09, Stefano Zacchiroli <zack@debian.org> wrote:

> I've just read a few days ago the design document of systemd; AFAIU it
> requires anyhow patching various daemons, no matter how trivial the
> patches are.
Patching the daemons is needed if you want it to open the listening
sockets for them. If you do not, it still works (without its most
interesting feature).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#580814; Package wnpp. (Sun, 09 May 2010 14:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>. (Sun, 09 May 2010 14:03:03 GMT) Full text and rfc822 format available.

Message #20 received at 580814@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Tollef Fog Heen <tfheen@debian.org>, 580814@bugs.debian.org
Subject: Re: Bug#580814: ITP: systemd -- system and session manager
Date: Sun, 09 May 2010 16:02:12 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 08.05.2010, 23:16 +0200 schrieb Tollef Fog Heen:
> I am planning on providing corresponding startup scripts and be
> coinstallable with sysvinit, switchable with a flag to the kernel.

I find the systemd-scheme very intriguing. Make sure you post to the ITP
when you have the first testable packages (even if they are only in some
VCS), I’ll subscribe to the bug and test them if I can.

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#580814; Package wnpp. (Sun, 09 May 2010 15:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and filed, but not forwarded. (Sun, 09 May 2010 15:27:09 GMT) Full text and rfc822 format available.

Message #25 received at 580814-quiet@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: debian-devel@lists.debian.org, 580814-quiet@bugs.debian.org
Subject: Re: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Sun, 09 May 2010 17:25:16 +0200
]] Stefano Zacchiroli 

| I've just read a few days ago the design document of systemd; AFAIU it
| requires anyhow patching various daemons, no matter how trivial the
| patches are.

No, it doesn't require it, but it allows it.  Cutting and pasting from
Lennart's blog post:

  An ideal daemon for use with systemd does a few things differently
  then things were traditionally done. Later on, we will publish a
  longer guide explaining and suggesting how to write a daemon for use
  with this systemd. Basically, things get simpler for daemon
  developers:

[List of possible, but not necessary simplifications]

  Note that systemd supports daemons not written in this style perfectly
  as well, already for compatibility reasons (launchd has only limited
  support for that). As mentioned, this even extends to existing inetd
  capable daemons which can be used unmodified for socket activation by
  systemd.

So what systemd gives you is the ability to chuck away a fair amount of
the boilerplate code in your daemon.  It doesn't require it.  If a
daemon double-forks and calls setsid (to get away from the tty where
it's started from), it'll still be captured and controlled by systemd
because of cgroups.

| Do you have any experience or feeling on how usable it would be today in
| a Debian unstable box? Can we imagine having it as an alternative init
| which a Squeeze user might want to try, obtaining something more than a
| machine that simply doesn't boot half of the machine services?

I am so far just testing on a singe machine, but it's my firm belief
that it's possible to have a fully functional systemd in squeeze.

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information stored :
Bug#580814; Package wnpp. (Tue, 11 May 2010 10:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 11 May 2010 10:39:10 GMT) Full text and rfc822 format available.

Message #30 received at 580814-quiet@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Tollef Fog Heen <tfheen@err.no>, 580814-quiet@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#580814: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Tue, 11 May 2010 12:37:56 +0200
[Message part 1 (text/plain, inline)]
On Sun, May 09, 2010 at 05:25:16PM +0200, Tollef Fog Heen wrote:
> I am so far just testing on a singe machine, but it's my firm belief
> that it's possible to have a fully functional systemd in squeeze.

Only if #579755 is solved. While testing systemd on Debian, I found
out that the option CONFIG_CGROUP_DEBUG is disabled in our kernel,
but it is needed for systemd to work.

Another problem is that systemd requires libcgroup which has to be
moved to /lib first.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#580814; Package wnpp. (Tue, 11 May 2010 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>. (Tue, 11 May 2010 10:51:04 GMT) Full text and rfc822 format available.

Message #35 received at 580814@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Julian Andres Klode <jak@debian.org>, Tollef Fog Heen <tfheen@err.no>, 580814@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#580814: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Tue, 11 May 2010 12:49:46 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 11, 2010 at 12:37:56 +0200, Julian Andres Klode wrote:

> On Sun, May 09, 2010 at 05:25:16PM +0200, Tollef Fog Heen wrote:
> > I am so far just testing on a singe machine, but it's my firm belief
> > that it's possible to have a fully functional systemd in squeeze.
> 
> Only if #579755 is solved. While testing systemd on Debian, I found
> out that the option CONFIG_CGROUP_DEBUG is disabled in our kernel,
> but it is needed for systemd to work.
> 
config CGROUP_DEBUG
        bool "Example debug cgroup subsystem"
        depends on CGROUPS
        default n
        help
          This option enables a simple cgroup subsystem that
          exports useful debugging information about the cgroups
          framework.

          Say N if unsure.

Is it really a good idea to have init depend on such an option?
(It's also disabled in all defconfigs.)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#580814; Package wnpp. (Tue, 11 May 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>. (Tue, 11 May 2010 11:12:04 GMT) Full text and rfc822 format available.

Message #40 received at 580814@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Tollef Fog Heen <tfheen@err.no>, 580814@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#580814: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Tue, 11 May 2010 13:09:33 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 11, 2010 at 12:49:46PM +0200, Julien Cristau wrote:
> On Tue, May 11, 2010 at 12:37:56 +0200, Julian Andres Klode wrote:
> 
> > On Sun, May 09, 2010 at 05:25:16PM +0200, Tollef Fog Heen wrote:
> > > I am so far just testing on a singe machine, but it's my firm belief
> > > that it's possible to have a fully functional systemd in squeeze.
> > 
> > Only if #579755 is solved. While testing systemd on Debian, I found
> > out that the option CONFIG_CGROUP_DEBUG is disabled in our kernel,
> > but it is needed for systemd to work.
> > 
> config CGROUP_DEBUG
>         bool "Example debug cgroup subsystem"
>         depends on CGROUPS
>         default n
>         help
>           This option enables a simple cgroup subsystem that
>           exports useful debugging information about the cgroups
>           framework.
> 
>           Say N if unsure.
> 
> Is it really a good idea to have init depend on such an option?
> (It's also disabled in all defconfigs.)

Here's what I heard from Kay Sievers:

Apr 30 16:13:27 <juliank>       kay: Is there a way to get it working without this option?
Apr 30 16:13:58 <kay>   no, no chance
Apr 30 16:14:18 <kay>   it's one of the building blocks to track/babysit processes
Apr 30 16:17:24 <kay>   it will not be "debug" some day, but always required, yes
Apr 30 16:17:57 <kay>   there is otherwise no way to reliably kill a service, you need a simple "container" to kill
Apr 30 16:18:17 <kay>   otherwise processes can fork faster than you can kill them
Apr 30 16:18:38 <kay>   cgroups provide a race free way to kill an entire group of processes
Apr 30 16:19:13 <kay>   and they can also tell you that all processes of a service died -> empty group
Apr 30 16:20:30 <juliank>       kay: Does CONFIG_CGROUP_DEBUG have any impact on performance?
Apr 30 16:20:48 <kay>   it should not be noticeable
Apr 30 16:21:03 <kay>   only if you actually use them, and even then they are very cheap
Apr 30 16:21:20 <kay>   it's not much more than a tag sticked to a process
Apr 30 16:21:38 <kay>   and a way to handle the tagged things then ...

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#580814; Package wnpp. (Tue, 11 May 2010 11:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and filed, but not forwarded. (Tue, 11 May 2010 11:33:10 GMT) Full text and rfc822 format available.

Message #45 received at 580814-quiet@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: 580814-quiet@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#580814: Parallellizing the boot in Debian Squeeze - ready for wider testing
Date: Tue, 11 May 2010 13:32:44 +0200
]] Julian Andres Klode 

| On Sun, May 09, 2010 at 05:25:16PM +0200, Tollef Fog Heen wrote:
| > I am so far just testing on a singe machine, but it's my firm belief
| > that it's possible to have a fully functional systemd in squeeze.
| 
| Only if #579755 is solved. While testing systemd on Debian, I found
| out that the option CONFIG_CGROUP_DEBUG is disabled in our kernel,
| but it is needed for systemd to work.

Yes and no.  systemd needs cgroups support and there's a strong
preference upstream for the debug cgroup as it doesn't do anything but
group processes.  It can work using any of the other cgroups just fine.

| Another problem is that systemd requires libcgroup which has to be
| moved to /lib first.

I don't imagine that's much work, though. :-)

-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#580814; Package wnpp. (Fri, 21 May 2010 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <jerry@edagames.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>. (Fri, 21 May 2010 00:18:04 GMT) Full text and rfc822 format available.

Message #50 received at 580814@bugs.debian.org (full text, mbox):

From: Jérémy Lal <jerry@edagames.com>
To: 580814@bugs.debian.org
Subject: compiles with libcgroup 0.36.1 rc1
Date: Fri, 21 May 2010 02:15:12 +0200
Upgrading libcgroup package to 0.36.1 is easy,
and then systemd trunk compiles smoothly...
I had yet to see what happens when installed :)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#580814; Package wnpp. (Sat, 05 Jun 2010 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ulrik Sverdrup <ulrik.sverdrup@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tollef Fog Heen <tfheen@debian.org>. (Sat, 05 Jun 2010 12:33:03 GMT) Full text and rfc822 format available.

Message #55 received at 580814@bugs.debian.org (full text, mbox):

From: Ulrik Sverdrup <ulrik.sverdrup@gmail.com>
To: 580814@bugs.debian.org
Subject: works
Date: Sat, 5 Jun 2010 14:28:28 +0200
Even without debian-specific unit descriptions, systemd boots just
fine without massive configuration, using the Sysvinit files.

./configure --sysconfdir=/etc; make; make install

is all that is needed for systemd to boot well. Leaving out
--sysconfdir= then dbus is not properly initialized and you can't
communicate with systemd, but that didn't stop it from booting
perfectly anyway. It brings up networking, mounts, udev, etc fine on a
laptop.

The only bug I have encountered is that 'mouseemu' does not restart
using 'systemctl restart mouseemu.service'; issuing stop, then start,
works.

I'm sending this email since no other positive progress has been reported.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 Jun 2010 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Thu, 17 Jun 2010 19:33:06 GMT) Full text and rfc822 format available.

Notification sent to Tollef Fog Heen <tfheen@debian.org>:
Bug acknowledged by developer. (Thu, 17 Jun 2010 19:33:06 GMT) Full text and rfc822 format available.

Message #62 received at 580814-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 580814-close@bugs.debian.org
Subject: Bug#580814: fixed in systemd 0~git+20100605+dfd8ee-1
Date: Thu, 17 Jun 2010 19:32:17 +0000
Source: systemd
Source-Version: 0~git+20100605+dfd8ee-1

We believe that the bug you reported is fixed in the latest version of
systemd, which is due to be installed in the Debian FTP archive:

systemd_0~git+20100605+dfd8ee-1.dsc
  to main/s/systemd/systemd_0~git+20100605+dfd8ee-1.dsc
systemd_0~git+20100605+dfd8ee-1.tar.gz
  to main/s/systemd/systemd_0~git+20100605+dfd8ee-1.tar.gz
systemd_0~git+20100605+dfd8ee-1_amd64.deb
  to main/s/systemd/systemd_0~git+20100605+dfd8ee-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580814@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated systemd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Apr 2010 21:02:25 +0200
Source: systemd
Binary: systemd
Architecture: source amd64
Version: 0~git+20100605+dfd8ee-1
Distribution: experimental
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 systemd    - system and session manager
Closes: 580814
Changes: 
 systemd (0~git+20100605+dfd8ee-1) experimental; urgency=low
 .
   * Initial release, upload to experimental.  Closes: #580814
Checksums-Sha1: 
 0634a6015a77327d1f8d952738fdc4cd42aeae87 1601 systemd_0~git+20100605+dfd8ee-1.dsc
 fe9d5df38a6161178fea03baea56cc079d589953 382607 systemd_0~git+20100605+dfd8ee-1.tar.gz
 efbea879ded863995280b67cb4ba6081d6731420 404436 systemd_0~git+20100605+dfd8ee-1_amd64.deb
Checksums-Sha256: 
 1b542ba3ad6b7daf14883f45219789f2b9334ac983dd7c9e8ba018e0d98303c4 1601 systemd_0~git+20100605+dfd8ee-1.dsc
 e7498eb18636218aaf7658cd25ba3ff151630ccfe5fb3f67e0f1057e51a899bd 382607 systemd_0~git+20100605+dfd8ee-1.tar.gz
 08be33385b72263ef8f067b7f6bd13335efe69d88d44406da84abe62e1d4ce88 404436 systemd_0~git+20100605+dfd8ee-1_amd64.deb
Files: 
 d2b774b04d4fe0e8a751ab9285150338 1601 admin extra systemd_0~git+20100605+dfd8ee-1.dsc
 0f9b9e7546365007b9b339ba7b6816a7 382607 admin extra systemd_0~git+20100605+dfd8ee-1.tar.gz
 d7cb672a7eb6e58fc63ff3a709af8d9f 404436 admin extra systemd_0~git+20100605+dfd8ee-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMCqwdAAoJELZaSHHKGdcXkOAQAM251N/ZkhrChY9GtSE9qca3
zXrbDaQpJYgLgC1YWhKfnFr3r7oOgZf/tuOy7v2/bKHemay+N99fHc15/DCQHMBE
kMuWBujgMLXDNR58mQ/HuFj/0i3jcX+vTDu6JurGHZpYEbBmCCLDPauU5JmdWnm2
6uc7pmiwr4JG1QPpcVh2/BC9YR3ntZmb8BQPgsf3A9dANp0ZPSFYD/qIa6RY5EXm
MskPYVEdqJF0WGu2RMJ85+fcjbdsyson1qQoHscIJHpW4RI4xNJFZ+bn5CLjB5D1
FFKm9EX8jlXrXvgLBBcRa2fMMrWXrod/JernXxk8p+jPdfPyBfuMDbaHe1VO2b78
3hdDBKMkE53vKf6kzDmlVLAU8s2qyGC5Dv4ybdAOPPGNLE/Md6+vIejPOcH4/QSv
FrfnCVbNPFJSBs4ndHtQdkEFB9/Uypd4YfNyuuPdyCToa3nx7jRlT2w4S4NecvAm
QrbbuezoREA+keF/l1LLjxOzY+ApADxdXuJI+IaoZX4OFp0Re5RFtSxKcqRbq7uX
h8f9tBNGme6ja2JXuPiaIosiQ1EoULSt/8MZIMmlmjDc37CpSEXX6nONAAkYg3Ve
ThsrxN1k6JzgAdABtC39L9Ve5k9qPUGqPJVwXw6Sxic4AGRoR18Cuen5taKFYNZ1
Y2gxdpWBGsJMHrRfZjEB
=d75T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Jul 2010 07:31:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:01:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.